The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Device Health

Prev Next

This URL provides all health details of the Sensor.

Resource URL

GET /devicehealth/getAllDeviceHealth

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

sensorId

Sensor Id

Number

hardwareHealthNormal

Hardware health of Sensor

Boolean

hardwareHealthState

Hardware health state of Sensor

Number

capacityHealthNormal

Capacity health of Sensor

Boolean

inspectionHealthNormal

Inspection health of Sensor

Boolean

inspectionHealthState

Inspection health state of Sensor

Number

connected

If Sensor connected

Boolean

sensorName

Name of Sensor

String

summaryHealth

Health summary of Sensor

String

normal

If Sensor normal

Boolean

healthState

Health state of Sensor

Number

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/devicehealth/getAllDeviceHealth

Response

{

        "sensorId": 1005,

        "hardwareHealthNormal": true,

        "hardwareHealthState": 1,

        "capacityHealthNormal": false,

        "capacityHealthState": 3,

        "inspectionHealthNormal": true,

        "inspectionHealthState": 1,

        "connected": false,

        "sensorName": "NS9100_2_18",

        "summaryHealth": [

            {

                "name": null,

                "state": 3,

                "supported": true

            },

            {

                "name": null,

                "state": 1,

                "supported": false

            },

            {

                "name": null,

                "state": 1,

                "supported": true

            }

        ],

        "normal": false,

        "healthState": 3

    }